package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Alert log statistic.
 */
@ApiModel(description = "Alert log statistic.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2025-06-03T17:52:43.984874600+08:00[Asia/Shanghai]")

public class AlertLogStatOpenApiVo   {
  @JsonProperty("totalLogNum")
  private Long totalLogNum;

  @JsonProperty("unResolvedLogNum")
  private Long unResolvedLogNum;

  @JsonProperty("resolvedLogNum")
  private Long resolvedLogNum;

  @JsonProperty("systemLogNum")
  private Long systemLogNum;

  @JsonProperty("deviceLogNum")
  private Long deviceLogNum;

  public AlertLogStatOpenApiVo totalLogNum(Long totalLogNum) {
    this.totalLogNum = totalLogNum;
    return this;
  }

  /**
   * Total log number.
   * @return totalLogNum
  */
  @ApiModelProperty(value = "Total log number.")


  public Long getTotalLogNum() {
    return totalLogNum;
  }

  public void setTotalLogNum(Long totalLogNum) {
    this.totalLogNum = totalLogNum;
  }

  public AlertLogStatOpenApiVo unResolvedLogNum(Long unResolvedLogNum) {
    this.unResolvedLogNum = unResolvedLogNum;
    return this;
  }

  /**
   * Unresolved alert log number.
   * @return unResolvedLogNum
  */
  @ApiModelProperty(value = "Unresolved alert log number.")


  public Long getUnResolvedLogNum() {
    return unResolvedLogNum;
  }

  public void setUnResolvedLogNum(Long unResolvedLogNum) {
    this.unResolvedLogNum = unResolvedLogNum;
  }

  public AlertLogStatOpenApiVo resolvedLogNum(Long resolvedLogNum) {
    this.resolvedLogNum = resolvedLogNum;
    return this;
  }

  /**
   * Resolved alert log number.
   * @return resolvedLogNum
  */
  @ApiModelProperty(value = "Resolved alert log number.")


  public Long getResolvedLogNum() {
    return resolvedLogNum;
  }

  public void setResolvedLogNum(Long resolvedLogNum) {
    this.resolvedLogNum = resolvedLogNum;
  }

  public AlertLogStatOpenApiVo systemLogNum(Long systemLogNum) {
    this.systemLogNum = systemLogNum;
    return this;
  }

  /**
   * System alert log number.
   * @return systemLogNum
  */
  @ApiModelProperty(value = "System alert log number.")


  public Long getSystemLogNum() {
    return systemLogNum;
  }

  public void setSystemLogNum(Long systemLogNum) {
    this.systemLogNum = systemLogNum;
  }

  public AlertLogStatOpenApiVo deviceLogNum(Long deviceLogNum) {
    this.deviceLogNum = deviceLogNum;
    return this;
  }

  /**
   * Device alert log number.
   * @return deviceLogNum
  */
  @ApiModelProperty(value = "Device alert log number.")


  public Long getDeviceLogNum() {
    return deviceLogNum;
  }

  public void setDeviceLogNum(Long deviceLogNum) {
    this.deviceLogNum = deviceLogNum;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AlertLogStatOpenApiVo alertLogStatOpenApiVo = (AlertLogStatOpenApiVo) o;
    return Objects.equals(this.totalLogNum, alertLogStatOpenApiVo.totalLogNum) &&
        Objects.equals(this.unResolvedLogNum, alertLogStatOpenApiVo.unResolvedLogNum) &&
        Objects.equals(this.resolvedLogNum, alertLogStatOpenApiVo.resolvedLogNum) &&
        Objects.equals(this.systemLogNum, alertLogStatOpenApiVo.systemLogNum) &&
        Objects.equals(this.deviceLogNum, alertLogStatOpenApiVo.deviceLogNum);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalLogNum, unResolvedLogNum, resolvedLogNum, systemLogNum, deviceLogNum);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AlertLogStatOpenApiVo {\n");
    
    sb.append("    totalLogNum: ").append(toIndentedString(totalLogNum)).append("\n");
    sb.append("    unResolvedLogNum: ").append(toIndentedString(unResolvedLogNum)).append("\n");
    sb.append("    resolvedLogNum: ").append(toIndentedString(resolvedLogNum)).append("\n");
    sb.append("    systemLogNum: ").append(toIndentedString(systemLogNum)).append("\n");
    sb.append("    deviceLogNum: ").append(toIndentedString(deviceLogNum)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

